package com.huimv.environ.eco.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.environ.eco.entity.BaseRoom;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
public interface IBaseRoomService extends IService<BaseRoom> {

    Result getAllRoomEnvironment(Integer farmId);

    Result listByRoom(Map<String, String> map);

    Result listLargeScreen(String farmId);

    Result listAllWaterEnvPowerApp(Map<String, String> map);

}
